Acer Orbicam gspca's module fails

Bug #271258 reported by AntoninoArcudi on 2008-09-17
108
This bug affects 17 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned

Bug Description

In Karmic , kernel 2.6.31-10-generic .
On Acer Aspire 5672WLMi , Acer Orbicam fails and stalls several system process.

Process affected :
Gnome-panel , Update-manager , Power-manager preferences loads very late
System> Administration> User groups does not open the first time it is selected , only opens on the second time.
Floods the log with the error and causes the logviewer to crash

These problems are solved by blacklisting the gsca module.

The error observed:

[ 13.829659] gspca: probing 046d:0892
[ 13.830019] vc032x: check sensor header 2c
[ 13.855363] vc032x: I2c Bus Busy Wait 2c
[ 14.189493] vc032x: I2c Bus Busy Wait 2c
[ 14.222501] vc032x: I2c Bus Busy Wait 2c
....
[ 14.321492] vc032x: I2c Bus Busy Wait 2c
[ 14.354493] vc032x: I2c Bus Busy Wait 2c
[ 14.387491] vc032x: I2c Bus Busy Wait 2c
[ 14.387495] vc032x: Unknown sensor...
[ 14.387513] vc032x: probe of 1-8:1.0 failed with error -22

This error is constantly repeated!

------------
**** Workaround *****
 Wiggling the webcam during boot

-------------
Hi,
I'm on Intrepid,
kernel 2.6.27-3-generic
lsusb: Bus 005 Device 003: ID 046d:0892 Logitech, Inc. OrbiCam

My webcam works with hardy, but with this kernel i got this error:

14.896425] vc032x: check sensor header 44
[ 14.898544] vc032x: I2c Bus Busy Wait 0
[ 14.900546] vc032x: I2c Bus Busy Wait 0
[ 14.902545] vc032x: I2c Bus Busy Wait 0
[ 14.908672] vc032x: I2c Bus Busy Wait 0
[ 14.910694] vc032x: I2c Bus Busy Wait 0
[ 14.912686] vc032x: I2c Bus Busy Wait 0
[ 14.912691] vc032x: Unknown sensor...
[ 14.912710] vc032x: probe of 5-6:1.0 failed with error -22

The module loads but no /dev/video.

Hope this can help.

Changed in linux:
assignee: nobody → ubuntu-kernel-team
importance: Undecided → Medium
status: New → Triaged
Nick M. (slimamericanhorn) wrote :

same problem with kernel 2.6.27-4-generic...

Giovanni Lovato (heruan) wrote :

With 2.6.27-5:

# sudo modprobe gspca_vc032x
# dmesg | tail
[23214.597615] gspca: probing 046d:0892
[23214.805950] vc032x: check sensor header 44
[23214.819964] vc032x: Read Sensor h (0x00) m (0x30) l (0x31)
[23214.834953] vc032x: Read Sensor h (0x00) m (0x30) l (0x31)
[23214.849977] vc032x: Read Sensor h (0x00) m (0x30) l (0x31)
[23214.850924] vc032x: Find Sensor PO3130NC
[23214.856121] gspca: probe ok
[23214.856162] usbcore: registered new interface driver vc032x
[23214.856168] vc032x: registered
# ls -l /dev/video0
crw-rw----+ 1 root video 81, 0 2008-10-06 15:40 /dev/video0

It seems all okay, but... All applications fail or crash opening the video stream.

I get this error as well:
package: linux-image-2.6.27-6-generic
module: gspca_vc032x

hardware:
Bus 005 Device 004: ID 046d:0896 Logitech, Inc. OrbiCam

error output: Alot of these
Oct 7 12:48:31 intrepid-acer-travelmate4220 kernel: [ 79.549797] gspca: probing 046d:0896
Oct 7 12:48:31 intrepid-acer-travelmate4220 kernel: [ 79.756531] vc032x: check sensor header 44
Oct 7 12:48:31 intrepid-acer-travelmate4220 kernel: [ 79.757307] usb 5-6: USB disconnect, address 99
Oct 7 12:48:31 intrepid-acer-travelmate4220 kernel: [ 79.757314] vc032x: I2c Bus Busy Wait 0
Oct 7 12:48:31 intrepid-acer-travelmate4220 kernel: [ 79.757319] vc032x: I2c Bus Busy Wait 0
Oct 7 12:48:31 intrepid-acer-travelmate4220 kernel: [ 79.757323] vc032x: I2c Bus Busy Wait 0
Oct 7 12:48:31 intrepid-acer-travelmate4220 kernel: [ 79.757328] vc032x: I2c Bus Busy Wait 0
Oct 7 12:48:31 intrepid-acer-travelmate4220 kernel: [ 79.757333] vc032x: I2c Bus Busy Wait 0
Oct 7 12:48:31 intrepid-acer-travelmate4220 kernel: [ 79.757337] vc032x: I2c Bus Busy Wait 0
Oct 7 12:48:31 intrepid-acer-travelmate4220 kernel: [ 79.757340] vc032x: Unknown sensor...
Oct 7 12:48:31 intrepid-acer-travelmate4220 kernel: [ 79.757345] vc032x: probe of 5-6:1.0 failed with error -22
Oct 7 12:48:31 intrepid-acer-travelmate4220 kernel: [ 80.032060] usb 5-6: new high speed USB device using ehci_hcd and address 100
Oct 7 12:48:31 intrepid-acer-travelmate4220 kernel: [ 80.188763] usb 5-6: configuration #1 chosen from 1 choice

(there was no mention of gspca or vc032x)

I have tried to compile the module from the "gspca_source" package, using module-assistant. But this fails.

This is a problem for me for another reason:
The system hangs on boot and the console becomes cluttered with the above section of error messages.
Does anyone now how to suppres these kind of error messages in order to access the console?

I have blacklisted the module for now.

hi again,
now on 2.6.27-7-generic (intrepid beta) i have the same problem but i had to blacklist module in order to boot, otherwise it goes in a error "loop" that hangs boot. Same of homburg above.

How did you get control over the error loop?

On Tue, Oct 14, 2008 at 1:03 PM, AntoninoArcudi
<email address hidden>wrote:

> hi again,
> now on 2.6.27-7-generic (intrepid beta) i have the same problem but i had
> to blacklist module in order to boot, otherwise it goes in a error "loop"
> that hangs boot. Same of homburg above.
>
> --
> gspca's module fails on 2.6.27-3-generic on Intrepid
> https://bugs.launchpad.net/bugs/271258
> You received this bug notification because you are a direct subscriber
> of the bug.
>

--
Thomas Bondo Homburg
Ryttergade 10, 7438
Odense C
tlf. 51926557

@Homborg:
i put it in blacklist. no way to stop.

Kariem Hussein (kariem) wrote :

Similar problem here:
kernel: 2.6.27-9-generic
running on: Acer TravelMate 8202

Only difference is the address: "gspca: probing 046d:0892", which stops as soon as I unplug the USB mouse. I did not have that problem with an earlier version of the kernel.

The mouse works perfectly, even while in this loop, so could there be a problem with how the USB controller is accessed?

There is also a bug related to usb, like this https://bugs.launchpad.net/ubuntu/hardy/+source/linux/+bug/88746
Maybe is your problem :)

Per a decision made by the Ubuntu Kernel Team, bugs will longer be assigned to the ubuntu-kernel-team in Launchpad as part of the bug triage process. The ubuntu-kernel-team is being unassigned from this bug report. Refer to https://wiki.ubuntu.com/KernelTeamBugPolicies for more information. Thanks.

SAME ERROR:
Acer Aspire 5672 WLMi laptop with ORBICAM
kernel: 2.6.27-9-generic

Jan 8 08:43:20 UBUNTU-laptop kernel: [ 116.801402] usb 5-8: USB disconnect, address 33
Jan 8 08:43:20 UBUNTU-laptop kernel: [ 116.801612] vc032x: I2c Bus Busy Wait 0
Jan 8 08:43:20 UBUNTU-laptop kernel: [ 116.801672] vc032x: I2c Bus Busy Wait 0
Jan 8 08:43:20 UBUNTU-laptop kernel: [ 116.801737] vc032x: I2c Bus Busy Wait 0
Jan 8 08:43:20 UBUNTU-laptop kernel: [ 116.801797] vc032x: I2c Bus Busy Wait 0
Jan 8 08:43:20 UBUNTU-laptop kernel: [ 116.801856] vc032x: I2c Bus Busy Wait 0
Jan 8 08:43:20 UBUNTU-laptop kernel: [ 116.801915] vc032x: I2c Bus Busy Wait 0
Jan 8 08:43:20 UBUNTU-laptop kernel: [ 116.801972] vc032x: Unknown sensor...
Jan 8 08:43:20 UBUNTU-laptop kernel: [ 116.802033] vc032x: probe of 5-8:1.0 failed with error -22
Jan 8 08:43:20 UBUNTU-laptop kernel: [ 117.072136] usb 5-8: new high speed USB device using ehci_hcd and address 34
Jan 8 08:43:20 UBUNTU-laptop kernel: [ 117.228236] usb 5-8: configuration #1 chosen from 1 choice
Jan 8 08:43:20 UBUNTU-laptop kernel: [ 117.228890] gspca: probing 046d:0892
Jan 8 08:43:20 UBUNTU-laptop kernel: [ 117.436495] vc032x: check sensor header 44

only solution that stopped udev from using 50% cpu or from hanging on startup was blacklisting > gspca_vc032x !!!

Vish (vish) wrote :

i get the error even while using the live CD

and @AntoninoArcudi : this error is specific to the Acer orbicam , while using the liveCD is specifically mentions : " unable to connect with camera "

Vish (vish) wrote :

@AntoninoArcudi :oops i just realized that u were the first to post the bug! i thought u were with some Ubuntu maintenance team!

Vish (vish) wrote :

and i forgot to mention>>>>> i didnt get this problem when i had upgraded from 8.04 to 8.10 <<<

this problem only started when i FRESH REinstalled ubuntu 8.10.

TiloBunt (til0) wrote :

also on my Acer Aspire 5670 with integrated Web cam (Orbicam)
Ubuntu 8.10 latest Patch level (3 days ago)
Blacklist the stuff help to use ubuntu and speedup the start up, but web cam not usable =(
This bug also cost me hours during installation because hang on detecting HW and also during startup the liveCD /liveUSB stick.

Jan 25 00:08:34 -acer-laptop kernel: [ 6014.313666] gspca: probing 046d:0896
Jan 25 00:08:34 -acer-laptop kernel: [ 6014.526538] vc032x: check sensor header 44
Jan 25 00:08:34 -acer-laptop kernel: [ 6014.529461] vc032x: I2c Bus Busy Wait 0
Jan 25 00:08:34 -acer-laptop kernel: [ 6014.533872] vc032x: I2c Bus Busy Wait 0
Jan 25 00:08:34 -acer-laptop kernel: [ 6014.538851] vc032x: I2c Bus Busy Wait 0
Jan 25 00:08:34 -acer-laptop kernel: [ 6014.541498] vc032x: I2c Bus Busy Wait 0
Jan 25 00:08:34 -acer-laptop kernel: [ 6014.544059] vc032x: I2c Bus Busy Wait 0
Jan 25 00:08:34 -acer-laptop kernel: [ 6014.546509] vc032x: I2c Bus Busy Wait 0
Jan 25 00:08:34 -acer-laptop kernel: [ 6014.546519] vc032x: Unknown sensor...
Jan 25 00:08:34 -acer-laptop kernel: [ 6014.547923] vc032x: probe of 5-8:1.0 failed with error -22
Jan 25 00:08:34 -acer-laptop kernel: [ 6014.549373] usb 5-8: USB disconnect, address 113
Jan 25 00:08:34 -acer-laptop kernel: [ 6014.788084] usb 5-8: new high speed USB device using ehci_hcd and address 114
Jan 25 00:08:35 -acer-laptop kernel: [ 6014.944317] usb 5-8: configuration #1 chosen from 1 choice
Jan 25 00:08:35 -acer-laptop kernel: [ 6014.945174] gspca: probing 046d:0896

let me know if you want more log file output.

Fade (zgamer4) wrote :

My Acer laptop started having long startups a week or two ago suddenly.

[ 2190.990451] vc032x: I2c Bus Busy Wait 0
[ 2190.992452] vc032x: I2c Bus Busy Wait 0
[ 2190.994450] vc032x: I2c Bus Busy Wait 0
[ 2190.996452] vc032x: I2c Bus Busy Wait 0
[ 2190.996458] vc032x: Unknown sensor...
[ 2190.996476] vc032x: probe of 5-8:1.0 failed with error -22
[ 2190.996813] usb 5-8: USB disconnect, address 66
[ 2191.272047] usb 5-8: new high speed USB device using ehci_hcd and address 67
[ 2191.433585] usb 5-8: configuration #1 chosen from 1 choice
[ 2191.434020] gspca: probing 046d:0892

TiloBunt (til0) wrote :

What need to happen that this get fixed??

AndreK (andre-k) wrote :

same problem here: the orbicam on my laptop (VID/PID=046d:0896) does not work.
not even with latest 9.04alfa.

it worked fine around Ubuntu 7.10 - time :)

how can I help to get it fixed ?

sabine (a4a43959) wrote :

I also have a problem on my Acer Aspire 5670 with built-in webcam. It worked fine in Hardy. After installing intrepid it no longer works and is not even detected. How can I fix it? Thanks for any help (I also get this error 22)

sabine (a4a43959) wrote :
Download full text (24.6 KiB)

That's dmesg:

[16252.009505] vc032x: I2c Bus Busy Wait 0
[16252.009510] vc032x: I2c Bus Busy Wait 0
[16252.009512] vc032x: Unknown sensor...
[16252.009528] vc032x: probe of 5-8:1.0 failed with error -22
[16252.281029] usb 5-8: new high speed USB device using ehci_hcd and address 111
[16252.441325] usb 5-8: configuration #1 chosen from 1 choice
[16252.442035] gspca: probing 046d:0892
[16252.648327] vc032x: check sensor header 44
[16252.649238] usb 5-8: USB disconnect, address 111
[16252.649322] vc032x: I2c Bus Busy Wait 0
[16252.649328] vc032x: I2c Bus Busy Wait 0
[16252.649333] vc032x: I2c Bus Busy Wait 0
[16252.649338] vc032x: I2c Bus Busy Wait 0
[16252.649343] vc032x: I2c Bus Busy Wait 0
[16252.649348] vc032x: I2c Bus Busy Wait 0
[16252.649351] vc032x: Unknown sensor...
[16252.649367] vc032x: probe of 5-8:1.0 failed with error -22
[16252.925042] usb 5-8: new high speed USB device using ehci_hcd and address 112
[16253.085300] usb 5-8: configuration #1 chosen from 1 choice
[16253.085943] gspca: probing 046d:0892
[16253.292454] vc032x: check sensor header 44
[16253.293361] usb 5-8: USB disconnect, address 112
[16253.293367] vc032x: I2c Bus Busy Wait 0
[16253.293373] vc032x: I2c Bus Busy Wait 0
[16253.293378] vc032x: I2c Bus Busy Wait 0
[16253.293383] vc032x: I2c Bus Busy Wait 0
[16253.293388] vc032x: I2c Bus Busy Wait 0
[16253.293393] vc032x: I2c Bus Busy Wait 0
[16253.293395] vc032x: Unknown sensor...
[16253.296556] vc032x: probe of 5-8:1.0 failed with error -22
[16253.573029] usb 5-8: new high speed USB device using ehci_hcd and address 113
[16253.733322] usb 5-8: configuration #1 chosen from 1 choice
[16253.735062] gspca: probing 046d:0892
[16253.940454] vc032x: check sensor header 44
[16253.941492] usb 5-8: USB disconnect, address 113
[16253.941696] vc032x: I2c Bus Busy Wait 0
[16253.941702] vc032x: I2c Bus Busy Wait 0
[16253.941707] vc032x: I2c Bus Busy Wait 0
[16253.941712] vc032x: I2c Bus Busy Wait 0
[16253.941717] vc032x: I2c Bus Busy Wait 0
[16253.941722] vc032x: I2c Bus Busy Wait 0
[16253.941724] vc032x: Unknown sensor...
[16253.941740] vc032x: probe of 5-8:1.0 failed with error -22
[16254.217035] usb 5-8: new high speed USB device using ehci_hcd and address 114
[16254.377297] usb 5-8: configuration #1 chosen from 1 choice
[16254.377938] gspca: probing 046d:0892
[16254.584327] vc032x: check sensor header 44
[16254.585240] usb 5-8: USB disconnect, address 114
[16254.585322] vc032x: I2c Bus Busy Wait 0
[16254.585327] vc032x: I2c Bus Busy Wait 0
[16254.585332] vc032x: I2c Bus Busy Wait 0
[16254.585337] vc032x: I2c Bus Busy Wait 0
[16254.585342] vc032x: I2c Bus Busy Wait 0
[16254.585347] vc032x: I2c Bus Busy Wait 0
[16254.585350] vc032x: Unknown sensor...
[16254.585365] vc032x: probe of 5-8:1.0 failed with error -22
[16254.861030] usb 5-8: new high speed USB device using ehci_hcd and address 115
[16255.021295] usb 5-8: configuration #1 chosen from 1 choice
[16255.021958] gspca: probing 046d:0892
[16255.228454] vc032x: check sensor header 44
[16255.229364] usb 5-8: USB disconnect, address 115
[16255.229606] vc032x: I2c Bus Busy Wait 0
[16255.229614] vc032x: I2c Bus Busy Wait 0
[16255.229619] vc032x: I2c Bus Busy Wait 0
[16255.229624] vc0...

Well,
it works again on 2.6.29 :) this is the log

 289.848718] Linux video capture interface: v2.00
[ 289.874466] gspca: main v2.4.0 registered
[ 289.880932] gspca: probing 046d:0892
[ 290.088199] vc032x: check sensor header 2c
[ 290.096195] vc032x: I2c Bus Busy Wait 0
[ 290.104196] vc032x: I2c Bus Busy Wait 0
[ 290.112194] vc032x: I2c Bus Busy Wait 0
[ 290.120196] vc032x: I2c Bus Busy Wait 0
[ 290.128196] vc032x: I2c Bus Busy Wait 0
[ 290.136147] vc032x: I2c Bus Busy Wait 0
[ 290.144195] vc032x: I2c Bus Busy Wait 0
[ 290.144201] vc032x: Unknown sensor...
[ 290.144223] vc032x: probe of 4-2:1.0 failed with error -22
[ 290.144275] usbcore: registered new interface driver vc032x
[ 290.144281] vc032x: registered
[ 290.316167] usb 1-6: new high speed USB device using ehci_hcd and address 8
[ 290.472941] usb 1-6: configuration #1 chosen from 1 choice
[ 290.475637] gspca: probing 046d:0892
[ 290.678569] vc032x: check sensor header 2c
[ 290.683912] vc032x: Read Sensor 0000 00
[ 290.689662] vc032x: Read Sensor 0000 00
[ 290.697285] vc032x: Read Sensor 3130 00
[ 290.697682] vc032x: Find Sensor PO3130NC
[ 290.700327] gspca: probe ok

Vish (vish) wrote :

^^^ but kernel 2.6.29 is a long wait, i suppose... since even jaunty in only 2.6.28...

guess its a long wait!!!

Sam Morris (yrro) wrote :

On the Aspire 5670 at my workplace this prevents Intrepid from booting at all.

The problem is increased by the hiding of kernel messages during the boot-up process--the system simply appears to freeze.

Perhaps the severity should be increased?

TiloBunt (til0) wrote :

I agree on Sam's comment.

Can get really frustrated for new Ubuntu user's.
May it's possible to show easily/automatic on boot up errors? Or if the application hang during start up I can display log with key xy. (and this key combination get's displayed during the boot screen like BIOS press F12 or whatever)
Just a suggestion but for me this was a disappointed experience with Ubuntu and guess many people are not so patient to search for a solution online. (what's also very hard without a error log =)

So I encourage severity increased.

Thanks Antonio! That was EASY, even for a non-geek. Everything is working
again, really well and fast!

2009/3/31 AntoninoArcudi <email address hidden>

> Well,
> it works again on 2.6.29 :) this is the log
>
> 289.848718] Linux video capture interface: v2.00
> [ 289.874466] gspca: main v2.4.0 registered
> [ 289.880932] gspca: probing 046d:0892
> [ 290.088199] vc032x: check sensor header 2c
> [ 290.096195] vc032x: I2c Bus Busy Wait 0
> [ 290.104196] vc032x: I2c Bus Busy Wait 0
> [ 290.112194] vc032x: I2c Bus Busy Wait 0
> [ 290.120196] vc032x: I2c Bus Busy Wait 0
> [ 290.128196] vc032x: I2c Bus Busy Wait 0
> [ 290.136147] vc032x: I2c Bus Busy Wait 0
> [ 290.144195] vc032x: I2c Bus Busy Wait 0
> [ 290.144201] vc032x: Unknown sensor...
> [ 290.144223] vc032x: probe of 4-2:1.0 failed with error -22
> [ 290.144275] usbcore: registered new interface driver vc032x
> [ 290.144281] vc032x: registered
> [ 290.316167] usb 1-6: new high speed USB device using ehci_hcd and
> address 8
> [ 290.472941] usb 1-6: configuration #1 chosen from 1 choice
> [ 290.475637] gspca: probing 046d:0892
> [ 290.678569] vc032x: check sensor header 2c
> [ 290.683912] vc032x: Read Sensor 0000 00
> [ 290.689662] vc032x: Read Sensor 0000 00
> [ 290.697285] vc032x: Read Sensor 3130 00
> [ 290.697682] vc032x: Find Sensor PO3130NC
> [ 290.700327] gspca: probe ok
>
> --
> gspca's module fails on 2.6.27-3-generic on Intrepid
> https://bugs.launchpad.net/bugs/271258
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in “linux” source package in Ubuntu: Triaged
>
> Bug description:
> Hi,
> I'm on Intrepid,
> kernel 2.6.27-3-generic
> lsusb: Bus 005 Device 003: ID 046d:0892 Logitech, Inc. OrbiCam
>
> My webcam works with hardy, but with this kernel i got this error:
>
> 14.896425] vc032x: check sensor header 44
> [ 14.898544] vc032x: I2c Bus Busy Wait 0
> [ 14.900546] vc032x: I2c Bus Busy Wait 0
> [ 14.902545] vc032x: I2c Bus Busy Wait 0
> [ 14.908672] vc032x: I2c Bus Busy Wait 0
> [ 14.910694] vc032x: I2c Bus Busy Wait 0
> [ 14.912686] vc032x: I2c Bus Busy Wait 0
> [ 14.912691] vc032x: Unknown sensor...
> [ 14.912710] vc032x: probe of 5-6:1.0 failed with error -22
>
> The module loads but no /dev/video.
>
> Hope this can help.
>

Just in case, anyone has not switched to 9.04 yet. This error is resolved on my reference machine after upgrading to Jaunty - 2.6.28.11.xx. So it should not be necessary to wait for 2.6.29 to have this resolved.

The upcoming Karmic 9.10 release will target the 2.6.31 kernel. There have been a few comments this was resolved with 2.6.29 and even 2.6.28.11.xx. That being said I'm marking this Fix Released. Thanks.

Changed in linux (Ubuntu):
status: Triaged → Fix Released
Vish (vish) wrote :

This bug is no solved or fixed!

still getting the same error in kernel 2.6.31-9-generic
> [ 41.075159] vc032x: I2c Bus Busy Wait 2c

Changed in linux (Ubuntu):
status: Fix Released → Confirmed
Vish (vish) wrote :

note:
previously it was:
vc032x: I2c Bus Busy Wait 0

now :
vc032x: I2c Bus Busy Wait 2c
is registered in the kernel logs but no hangs at startup as before.

summary: - gspca's module fails on 2.6.27-3-generic on Intrepid
+ Acer Orbicam gspca's module fails
tags: added: regression-potential
Martin Pitt (pitti) wrote :

This causes a lot of other grief, since it causes huge delays in reading /sysfs, which in turn causes d-bus timeouts and desktop disfunctions like bug 417824.

If nothing else helps, could this particular device at least be removed from vc032x's modalises, so that it doesn't wreak havoc further? I don't expect that it can actually work well under those conditions?

Martin Pitt (pitti) wrote :

Regression, bumping to high.

Changed in linux (Ubuntu):
importance: Medium → High
status: Confirmed → Triaged
Vish (vish) wrote :

I'm running more tests now , I didnt notice the huge problems with kernel -4 , so will report back after testing , or if anyone has kernel 31-4 , Kindly test it too.

Another problem is , if you are dual booting , the webcam wont work in Windows too !

Vish (vish) wrote :

I'v tested this with kernel 31-4 , 31-3 and 30-3 , but the same problems persist!

For people who have said that the camera was working need to report back.
 If the camera works , kindly report it here so that the devs can compare or this module will only need to be blacklisted again.

Updating the bug description.

Vish (vish) on 2009-09-09
description: updated
cassio (cassiohenke) wrote :

Same problem.
Acer aspire 5610. Orbicam. Ubuntu Jaunty. Kernel 2.6.30

Orbicam works just on Skype and Amsn. But fails frequently.

In Pidgin 2.6.2., using jabber, keep webcam window open for just a few seconds. Same problem using Empathy and Qutecom.

dsmeg:

[ 12.060564] gspca: probing 046d:0896
[ 12.060973] vc032x: check sensor header 2c
[ 12.115664] phy0: Selected rate control algorithm 'iwl-3945-rs'
[ 12.129950] vc032x: Sensor ID 3130 (2)
[ 12.129958] vc032x: Find Sensor PO3130NC
[ 12.131523] gspca: probe ok
[ 12.131552] usbcore: registered new interface driver vc032x
[ 12.131559] vc032x: registered

Bus 001 Device 003: ID 13fe:1a23 Kingston Technology Company Inc. 512MB Flash Drive
Bus 001 Device 002: ID 046d:0896 Logitech, Inc. OrbiCam
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

[ 1.045926] pci 0000:00:02.0: Boot video device
[ 11.372677] Linux video capture interface: v2.00

Vish (vish) wrote :

pitti, This bug just got worse since beta!
Now on startup the boot stalls for 5mins!

Giampi Frello (gp-frello) wrote :

The webcam doesn't work with Karmic beta in my Aspire 2920z. It is not detected by Skype, Cheese whatever although lsusb find it as USB2.0

Andy Whitcroft (apw) wrote :

Can we retest with the latest karmic kernel 2.6.31-12.39 or later, as this contains a whole bunch of stable updates to the kernel. Please report back here both success or failure.

If the long delays are present during boot then could we get a bootchart of the boot. Install the package bootchart and reboot, there should be a graphic generated in /var/log/bootchart. Attach that here.

Vish (vish) wrote :

Andy Whitcroft ,
I tried it with the kernel 2.6.31-12.40 ,i dont get too much delay , maybe ~10sec more , but all the problems described in the bug description [processes affected] still exist.

I'm beginning to wonder if this has something to do with grub too? maybe the grub detects the camera as a USB and causes these problems : $lsusb gives >
Bus 001 Device 003: ID 046d:0892 Logitech, Inc. OrbiCam

This is the same problem when i boot into the Windows partition , the camera is detected as a usb and Windows is also not able to access the webcam. It keeps saying close the program which is accessing the camera , but there were no processes using the camera.
This did not happen when the mbr was the boot loader ... [may sound silly ;) ] [but for a brief moment when I had installed Win7 the camera worked but after i reinstalled the grub this stopped working ]

Any advice how to debug this [seemingly impossible theory] ?

Andy Whitcroft (apw) wrote :

Ok one other place we can test is upstream. It is worth testing v2.6.31.3 to confirm that the ubuntu delta is not to blame here, and then v2.6.32-rc3 to see if it is already fixed upstream. Those kernels can be found in the Mainline kernel archive at the url below:

    https://wiki.ubuntu.com/KernelMainlineBuilds

Please report back here. Thanks.

Andy Whitcroft (apw) wrote :

On the grub thing, are you using grub1 or grub2? You can tell with dpkg -l | grep grub. If its grub2 we may be able to disable output there temporarily to test this theory. If you have grub1 you might test grub2 as well.

cassio (cassiohenke) wrote :

my first report was #33.

Now, with Koala already installed the Orbicam works fine with skype.
On pidgin, I felt a little improvement. The window chat don't close anymore. However, the other person don't see anything.

Vish (vish) wrote :

@Andy Whitcroft:
Hi, I tested with the mainline kernels , both 31 and 32 , its still the same problem. So that rules out Ubuntu delta?
Webcam doesnt work in any of the 3 OS , windows XP and Win7 keep saying that the device is used by another program but there isnt any other program using it...

 - I also tried installing win7 mbr but it was still the same problem again. [laptop came preinstalled with WindowsXP , but since I dont have the XP recovery CD , i tried the mbr from Win7 RC , as i also have Win7 installed in the same laptop]

 - Tried to update BIOS to the latest available on the Acer support website , that didnt help either. [Acer Aspire 5672WLMi -5670 series ]

BTW, I'm using grub2 .

As i mentioned previously , the camera problems started only after i did a fresh reinstall of Ubuntu 8.10
 - and *not* when i upgraded from 8.04 to 8.10.
Now , even when I try to boot the live cd of 7.10 or 8.04 they give errors of the camera module.

Any suggestions?

tags: added: regression-release
removed: regression-potential
tags: added: intrepid jaunty karmic
Tim (timothymctim) wrote :

I was able to 'solve' this bug by 'wiggling' my build-in Acer Orbicam.
I may be a different bug, but thought that my comment may help someone.
For more information, see #477086.

Ryan Steele (rgsteele) wrote :

I am experiencing this issue. The computer starts running very slowly during the boot process and dmesg is filled with errors. Like Tim, I can work around the issue by rotating the camera, which stops the errors.

For those not familiar with the hardware, the webcam on these laptops is mounted on a pivot which allows the camera to point away from the user as well as toward. I believe the hardware may be equipped with a switch which signals the software that the camera is now pointing away and the image must be flipped (the camera rotates on a lateral axis). I wonder if the switch may be playing a role in causing the issue.

The other possibility is that the wiring in the camera is suspect. I'm a bit skeptical of that as a cause, however, for a couple reasons. First, the problem seems to be too consistent, i.e. the computer never boots properly now without the camera being rotated. If it were a loose wire one would assume that sometimes it would work and sometimes it wouldn't. Second, rotating the camera after the system has finished booting does not appear to have any effect, i.e. there is no indication in the log of the device being disconnected/reconnected, and video continues uninterrupted when viewing the preview in Cheese.

Vish (vish) wrote :

Tim van de Kamp , Unbelievably amazing !!!! :) When you mentioned it I literally dismissed the notion as "it cant be really true"
The cam never worked for so long and i had literally given up on the webcam!

Wiggling the webcam does _really_ stop the errors and the cam works [well kinda , there are other errors but that is a different bug]

[ 7.232706] gspca: main v2.7.0 registered
[ 7.264065] usb 4-1: new full speed USB device using uhci_hcd and address 2
[ 7.434252] usb 4-1: configuration #1 chosen from 1 choice
[ 7.466583] tifm_7xx1 0000:0a:09.2: PCI INT A -> GSI 20 (level, low) -> IRQ 20
[ 7.589601] gspca: probing 046d:0892
[ 7.590011] vc032x: check sensor header 2c
[ 7.608370] Linux agpgart interface v0.103
[ 7.658922] vc032x: Sensor ID 3130 (2)
[ 7.658928] vc032x: Find Sensor PO3130NC
[ 7.660340] gspca: probe ok
[ 7.660368] usbcore: registered new interface driver vc032x
[ 7.660371] vc032x: registered

Vish (vish) on 2010-02-18
description: updated
Vish (vish) wrote :

Surprisingly the problem of the webcam not working on windows is _also_ solved by wiggling during boot!

@ Ryan Steele / Tim van de Kamp:
AFAIK , there is no active development of the gspca drivers , since it was earlier done only by one _single_ person [ http://mxhaard.free.fr/spca5xx.html ] and he seems to have now stopped working on gspca :(

So our best hope is trying to narrow down the cause ourself :(

- Did either of you update the bios for the laptop? [I had updated the bios , maybe the new bios is causing the problems]
- This might not be a kernel problem, [since the wiggling solves it even for windows] could it be due to grub not recognizing something???

Tim (timothymctim) wrote :

I didn't update my bios, I use the PhoenixBIOS V3.24 on a Aspire 5680.

> Surprisingly the problem of the webcam not working on windows is _also_ solved by wiggling during boot!

That's why I thought it was a hardware problem. I'm absolutely no expert in GRUB, but I experienced this bug on GRUB Legacy and on GRUB 2.
I think, but am not sure, that the webcam failed for the first time when Ubuntu/GRUB was installed.

worked on 10.04 stopped working on 10.10 the system can't find a dev/video2 device.

stil with lsusb I get
Bus 001 Device 012: ID 046d:0896 Logitech, Inc. OrbiCam

Brad Figg (brad-figg) on 2011-04-07
tags: removed: jaunty

This bug was filed against a series that is no longer supported and so is being marked as Won't Fix. If this issue still exists in a supported series, please file a new bug.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: Triaged → Won't Fix
Tim Gardner (timg-tpi) on 2011-09-26
tags: removed: intrepid karmic regression-release
Marcos K (g-ubuntu-com-y) wrote :

also a problem on kernel 3.0.0-16-generic #29-Ubuntu SMP
ubuntu 11.10 32bit

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers